org.jbpm.executor.impl.jpa

## Class RequestInfoQueryBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder>
  - - org.jbpm.executor.impl.jpa.RequestInfoQueryBuilderImpl

- All Implemented Interfaces:
    org.kie.internal.query.ExtendedParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder,org.kie.api.executor.RequestInfo>, org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder>, org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder

      public class RequestInfoQueryBuilderImpl
      extends org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder>
      implements org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder

      `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder.OrderBy`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestInfoQueryBuilderImpl(ExecutorJPAAuditService jpaAuditService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `ascending(org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder.OrderBy field)`
    `org.kie.internal.query.ParametrizedQuery<org.kie.api.executor.RequestInfo>` | `build()`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `commandName(String... commandName)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `deploymentId(String... deploymentId)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `descending(org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder.OrderBy field)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `executions(int... executions)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `id(long... id)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `key(String... key)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `message(String... message)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `owner(String... owner)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `retries(int... retries)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `status(org.kie.api.executor.STATUS... status)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `time(Date... time)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `timeRange(Date timeMin, Date timeMax)`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, endGroup, equals, getQueryWhere, intersect, like, maxResults, newGroup, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### RequestInfoQueryBuilderImpl

          public RequestInfoQueryBuilderImpl(ExecutorJPAAuditService jpaAuditService)

  - ### Method Detail

    - #### commandName

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder commandName(String... commandName)

      Specified by:
        `commandName` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### deploymentId

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder deploymentId(String... deploymentId)

      Specified by:
        `deploymentId` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### executions

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder executions(int... executions)

      Specified by:
        `executions` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### id

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder id(long... id)

      Specified by:
        `id` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### key

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder key(String... key)

      Specified by:
        `key` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### message

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder message(String... message)

      Specified by:
        `message` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### owner

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder owner(String... owner)

      Specified by:
        `owner` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### retries

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder retries(int... retries)

      Specified by:
        `retries` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### status

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder status(org.kie.api.executor.STATUS... status)

      Specified by:
        `status` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### time

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder time(Date... time)

      Specified by:
        `time` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### timeRange

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder timeRange(Date timeMin,
                                                                                                Date timeMax)

      Specified by:
        `timeRange` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### ascending

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder ascending(org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder.OrderBy field)

      Specified by:
        `ascending` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### descending

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder descending(org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder.OrderBy field)

      Specified by:
        `descending` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder`

    - #### build

          public org.kie.internal.query.ParametrizedQuery<org.kie.api.executor.RequestInfo> build()

      Specified by:
        `build` in interface `org.kie.internal.query.ExtendedParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder,org.kie.api.executor.RequestInfo>`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.